


#include <Servo.h>

Servo servoKnobLock;  // create servo object to control a servo
int angleKnobCurrent = 0;
int angleKnobLocked = 0;   // initial angle  for servo
int angleKnobOpen = 45;
#define buttonKnobOpen 7
#define buttonKnobClose 6

Servo servoCompartment;
int angleCompartmentCurrent = 90;
int angleCompartmentClosed = 90;
int angleCompartmentOpen = 0;
#define buttonCompartmentOpen 8   // pin 8 is connected to left button
#define buttonCompartmentClose 12   // pin 2 is connected to right button


void setup() {

  servoKnobLock.attach(4);
  pinMode(buttonKnobOpen, OUTPUT);
  digitalWrite(buttonKnobOpen, HIGH);
  pinMode(buttonKnobClose, OUTPUT);
  digitalWrite(buttonKnobClose, HIGH);
  servoKnobLock.write(angleKnobLocked);

  servoCompartment.attach(2);
  pinMode(buttonCompartmentOpen, OUTPUT);
  digitalWrite(buttonCompartmentOpen, HIGH);
  pinMode(buttonCompartmentClose, OUTPUT);
  digitalWrite(buttonCompartmentClose, HIGH);
  servoCompartment.write(angleCompartmentClosed);



  Serial.begin(9600);

}

void loop() {

  if ( digitalRead(buttonKnobOpen) == LOW ) {
    while ( angleKnobCurrent < angleKnobOpen ) {
      angleKnobCurrent = angleKnobCurrent + 1;
      servoKnobLock.write(angleKnobCurrent);
      Serial.println("Knob open");
      delay(10);
    }
  }
  if ( digitalRead(buttonKnobClose) == LOW ) {
    while ( angleKnobCurrent > angleKnobLocked ) {
      angleKnobCurrent = angleKnobCurrent - 1;
      servoKnobLock.write(angleKnobCurrent);
       Serial.println("Knob close");
      delay(10);
    }
  }

  if (digitalRead(buttonCompartmentOpen) == LOW) {
    while (angleCompartmentCurrent > angleCompartmentOpen) {
      angleCompartmentCurrent = angleCompartmentCurrent - 1;
      servoCompartment.write(angleCompartmentCurrent);
       Serial.println("compart open");
      delay(10);
    }
  }

  if (digitalRead(buttonCompartmentClose) == LOW) {
    while (angleCompartmentCurrent < angleCompartmentClosed) {
      angleCompartmentCurrent = angleCompartmentCurrent + 1;
      servoCompartment.write(angleCompartmentCurrent);
       Serial.println("compart close");
      delay(50
      );
    }
  }


}//loop ends
